org.deidentifier.arx.aggregates

## Class ClassificationConfigurationNaiveBayes

- java.lang.Object
- - org.deidentifier.arx.ARXClassificationConfiguration<ClassificationConfigurationNaiveBayes>
  - - org.deidentifier.arx.aggregates.ClassificationConfigurationNaiveBayes

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ClassificationConfigurationNaiveBayes
    extends ARXClassificationConfiguration<ClassificationConfigurationNaiveBayes>
    implements java.io.Serializable, java.lang.Cloneable

Configuration for naive bayes classification

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ClassificationConfigurationNaiveBayes.Type` Type of bayes classifier

### Field Summary

Fields
`static double` `DEFAULT_SIGMA` Default value
`static ClassificationConfigurationNaiveBayes.Type` `DEFAULT_TYPE` Default value

### Fields inherited from class org.deidentifier.arx.ARXClassificationConfiguration

`DEFAULT_DETERMINISTIC, DEFAULT_MAX_RECORDS, DEFAULT_NUMBER_OF_FOLDS, DEFAULT_VECTOR_LENGTH`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ClassificationConfigurationNaiveBayes` `clone()`
`static ClassificationConfigurationNaiveBayes` `create()` Returns a new instance
`double` `getSigma()` Gets the prior count of add-k smoothing of evidence.
`ClassificationConfigurationNaiveBayes.Type` `getType()` Type
`void` `parse(ARXClassificationConfiguration<?> config)` Parses another configuration
`ClassificationConfigurationNaiveBayes` `setSigma(double sigma)` Sets the prior count of add-k smoothing of evidence.
`ClassificationConfigurationNaiveBayes` `setType(ClassificationConfigurationNaiveBayes.Type type)` Type

### Methods inherited from class org.deidentifier.arx.ARXClassificationConfiguration

`createLogisticRegression, createNaiveBayes, createRandomForest, getMaxRecords, getNumFolds, getSeed, getVectorLength, isDeterministic, isModified, setDeterministic, setMaxRecords, setModified, setNumFolds, setSeed, setUnmodified, setVectorLength`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_TYPE

    public static final ClassificationConfigurationNaiveBayes.Type DEFAULT_TYPE

Default value

#### DEFAULT_SIGMA

    public static final double DEFAULT_SIGMA

Default value

See Also:
  Constant Field Values

### Method Detail

#### create

    public static ClassificationConfigurationNaiveBayes create()

Returns a new instance

Returns:

#### clone

    public ClassificationConfigurationNaiveBayes clone()

Specified by:
  `clone` in class `ARXClassificationConfiguration<ClassificationConfigurationNaiveBayes>`

#### getSigma

    public double getSigma()

Gets the prior count of add-k smoothing of evidence.

Returns:
  the sigma

#### getType

    public ClassificationConfigurationNaiveBayes.Type getType()

Type

Returns:
  the type

#### parse

    public void parse(ARXClassificationConfiguration<?> config)

Description copied from class: `ARXClassificationConfiguration`
Parses another configuration

Overrides:
  `parse` in class `ARXClassificationConfiguration<ClassificationConfigurationNaiveBayes>`

#### setSigma

    public ClassificationConfigurationNaiveBayes setSigma(double sigma)

Sets the prior count of add-k smoothing of evidence.

Parameters:
  `sigma` - the sigma to set

#### setType

    public ClassificationConfigurationNaiveBayes setType(ClassificationConfigurationNaiveBayes.Type type)

Type

Parameters:
  `type` - the type to set